pskc_set_key_policy_pinusagemode(3)

NAME
pskc_set_key_policy_pinusagemode - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_policy_pinusagemode(pskc_key_t * key, pskc_pinusagemode pinusagemode);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

pskc_pinusagemode pinusagemode
    the pskc_pinusagemode value to set

DESCRIPTION
Set the PSKC KeyPackage Key Policy PINPolicy PINUsageMode value. This mandatory attribute indicates the way the PIN is used during the usage of the key.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.